@import  'abstracts/_mixins'
@import  'abstracts/_variables'
@import  'abstracts/_breakpoints'
@import  'abstracts/_animations'

.shopping-cart-container
  .content
    +flex(center, center)
    width: 100%
    margin-top: 50px
    .item
      .btn-wrapper
        +flex(flex-end, flex-end)
        width: 100%
        margin-top: 15px
        .btn-checkout
          width: 200px
          height: 38px
          border-radius: var(--border-radius)
          border: none
          transition: all .15s ease-in
          background: var(--red-1)
          background: -webkit-linear-gradient(to right, #ff4e3c, #ff3f39)
          background: linear-gradient(to right, #ff4e3c, #ff3f39)
          span
            color: var(--white)
            font-size: var(--fs)
            font-family: 'Poppins'
          &:hover
            transform: scale(1.01)
        &.payment-process
          +flex(center, center)
          .btn-checkout
            width: 60px
            height: 60px
            border-radius: 50%
            -webkit-animation: paymentTransition 1.5s infinite
            -moz-animation:    paymentTransition 1.5s infinite
            -o-animation:      paymentTransition 1.5s infinite
            animation:         paymentTransition 1.5s infinite

@media only screen and (max-width: $break-mobile)
  .shopping-cart-container
    .sh-content
      .content
        display: inline-block
        .item
          padding: 0 var(--padding)

